' -------------------------------------------------------
' Sticker box
' Author : J.C. Tchang
' Script for LDS
' Modif A 13-05-2010 : Add box5-12 usage
' -------------------------------------------------------
' Parameters
' Height of Sticker in LDU (modify value)
LET H=35
' Width of Sticker in LDU (modify value)
LET W=35
' Thickness of Sticker in LDU (default value)
LET T=0.25
' Color of Sticker
LET C=WHITE
' 0=5 faces or 1=box5-12
LET F=1
' -------------------------------------------------------
' Main Program
PRINT "0 Sticker box";
PRINT W;
PRINT "x";
PRINT H
PRINT "0 Name: stk_box.dat"
PRINT "0 Author: LDS (LDraw Script)"
PRINT "0 BFC CERTIFY CW"
'
LET H=H/2
LET W=W/2
'
IF F=0 THEN
  4 C W*-1 0 H  W*-1 0 H*-1  W 0 H*-1  W 0 H
  '
  4 C W 0 H  W 0 H*-1  W T*-1 H*-1  W T*-1 H
  4 C W*-1 T*-1 H  W*-1 T*-1 H*-1  W*-1 0 H*-1  W*-1 0 H
  4 C W T*-1 H  W*-1 T*-1 H  W*-1 0 H  W 0 H
  4 C W 0 H*-1  W*-1 0 H*-1  W*-1 T*-1 H*-1  W T*-1 H*-1
ELSE
  1 C 0 T*-1 0 W 0 0 0 T 0 0 0 H box5-12.dat
ENDIF
' -------------------------------------------------------



