' -------------------------------------------------------
' Sticker Box with Frame
' Author : J.C. Tchang
' Script for LDS
' Modif A 13-05-2010 : Add box5-12 usage
' -------------------------------------------------------
' Parameters
' Height of Sticker in LDU (modify value)
LET H=15
' Width of Sticker in LDU (modify value)
LET W=35
' Thickness of Sticker in LDU (default value)
LET T=0.25
' Color of Sticker
LET C=15
' 0=box 5 faces or 1=box5-12.dat
LET F=1
' Color of Frame
LET D=25
' Color of Inner Box
LET E=14
' Height of Inner Box in LDU (modify value)
LET G=11
' Width of Inner Box in LDU (modify value)
LET V=31
'
PRINT "0 Sticker Box with Frame";
PRINT W;
PRINT "x";
PRINT H
PRINT "0 Name: stk_fram.dat"
PRINT "0 Author: LDS (LDraw Script)"
PRINT "0 BFC CERTIFY CW"
' -------------------------------------------------------
' Main Program
'
LET H=H/2
LET W=W/2
LET G=G/2
LET V=V/2
'
P11 V*-1 T*-1 G
P12 V*-1 T*-1 G*-1
P13 V T*-1 G*-1
P14 V T*-1 G
'
P21 W*-1 T*-1 H
P22 W*-1 T*-1 H*-1
P23 W T*-1 H*-1
P24 W T*-1 H
'
' Inner Box
PRINT "0 // Inner Box"
IF G=0 THEN GOTO :Suite1
IF V=0 THEN GOTO :Suite1
4 E P11 P14 P13 P12
:Suite1
'
' Frame
PRINT "0 // Frame"
IF (W-V)=0 THEN
ELSE
  4 D P21 P11 P12 P22
  4 D P23 P13 P14 P24
END IF
'
IF (H-G)=0 THEN
ELSE
4 D P22 P12 P13 P23
4 D P24 P14 P11 P21
END IF
'
' Box
PRINT "0 // Box"
'
IF F=0 THEN
  4 C W*-1 0 H  W*-1 0 H*-1  W 0 H*-1  W 0 H
  '
  4 C W 0 H  W 0 H*-1  W T*-1 H*-1  W T*-1 H
  4 C W*-1 T*-1 H  W*-1 T*-1 H*-1  W*-1 0 H*-1  W*-1 0 H
  4 C W T*-1 H  W*-1 T*-1 H  W*-1 0 H  W 0 H
  4 C W 0 H*-1  W*-1 0 H*-1  W*-1 T*-1 H*-1  W T*-1 H*-1
ELSE
  1 C 0 T*-1 0 W 0 0 0 T 0 0 0 H box5-12.dat
ENDIF
' -------------------------------------------------------
